Update Config.in and Makefile to get dm-iostats building.
--- diff/drivers/md/Config.in	2002-11-05 12:12:09.000000000 +0000
+++ source/drivers/md/Config.in	2002-12-16 10:58:24.000000000 +0000
@@ -16,6 +16,7 @@
 dep_tristate ' Logical volume manager (LVM) support' CONFIG_BLK_DEV_LVM $CONFIG_MD
 if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
    dep_tristate ' Device-mapper support (EXPERIMENTAL)' CONFIG_BLK_DEV_DM $CONFIG_MD
+   dep_tristate ' IO statistics target for device mapper' CONFIG_BLK_DEV_DM_IOSTATS $CONFIG_MD $CONFIG_BLK_DEV_DM
 fi
 
 endmenu
--- diff/drivers/md/Makefile	2002-11-05 12:12:09.000000000 +0000
+++ source/drivers/md/Makefile	2002-12-16 10:49:14.000000000 +0000
@@ -10,6 +10,7 @@
 dm-mod-objs	:= dm.o dm-table.o dm-target.o dm-ioctl.o \
 		   dm-linear.o dm-stripe.o dm-snapshot.o dm-exception-store.o \
 		   kcopyd.o
+dm-iostats-objs := dm-iostats.o
 
 # Note: link order is important.  All raid personalities
 # and xor.o must come before md.o, as they each initialise 
@@ -24,6 +25,7 @@
 obj-$(CONFIG_BLK_DEV_MD)	+= md.o
 obj-$(CONFIG_BLK_DEV_LVM)	+= lvm-mod.o
 obj-$(CONFIG_BLK_DEV_DM)	+= dm-mod.o
+obj-$(CONFIG_BLK_DEV_DM_IOSTATS) += dm-iostats.o
 
 include $(TOPDIR)/Rules.make
 
